[alsa-devel] Setting format to SND_PCM_FORMAT_MU_LAW does not let me apply hardware parameters

stan ghjeold_i_mwee at cox.net
Wed Jul 2 00:12:22 CEST 2008

Mitul Sen (misen) wrote:
> Thanks for your suggestions. For the first suggestion, how would I 
> know the version of alsa-lib that I am using so that I can download 
> the source code for the same? Is alsa-lib the same as libasound? Under 
> /usr/lib/libasound.so I have a symbolic link to libasound.so.2.0.0. Is 
> that then the version I should be looking for?
> I am really new to this so please excuse me if these questions are too 
> basic for this forum!
> Thanks,
> Mitul
Good queston.  I know because of the package.  You can find the driver 
version by running    cat  /proc/asound/version    and the utilities 
version by running   aplay --version   .
I couldn't find a way to get the library version.  You can use the run 
   alsa-info.sh --no-upload     and the output will have the driver, 
library, and tool version at the top.
The script is found at http://www.alsa-project.org/alsa-info.sh

libasound is always version 2.0.0, no matter the alsa-lib version.  I 
presume that is to facilitate testing and upgrading.  Nothing will break 
with newer versions.  So that is unrelated to alsa version.

You can find the latest beta versions of all the alsa source here  


And a link to the latest stable release here

More information about the Alsa-devel mailing list